MaximumRelativeError
Statistical Functions

Primitives for computing the MaximumRelative error between two signals. More...

## Functions

NppStatus | nppsMaximumRelativeError_8u (const Npp8u *pSrc1, const Npp8u *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 8-bit unsigned char MaximumRelative method. More...
NppStatus | nppsMaximumRelativeError_8s (const Npp8s *pSrc1, const Npp8s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 8-bit signed char MaximumRelative method. More...
NppStatus | nppsMaximumRelativeError_16u (const Npp16u *pSrc1, const Npp16u *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 16-bit unsigned short integer MaximumRelative method. More...
NppStatus | nppsMaximumRelativeError_16s (const Npp16s *pSrc1, const Npp16s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 16-bit signed short integer MaximumRelative method. More...
NppStatus | nppsMaximumRelativeError_16sc (const Npp16sc *pSrc1, const Npp16sc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 16-bit unsigned short complex integer MaximumRelative method. More...
NppStatus | nppsMaximumRelativeError_32u (const Npp32u *pSrc1, const Npp32u *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 32-bit unsigned short integer MaximumRelative method. More...
NppStatus | nppsMaximumRelativeError_32s (const Npp32s *pSrc1, const Npp32s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 32-bit signed short integer MaximumRelative method. More...
NppStatus | nppsMaximumRelativeError_32sc (const Npp32sc *pSrc1, const Npp32sc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 32-bit unsigned short complex integer MaximumRelative method. More...
NppStatus | nppsMaximumRelativeError_64s (const Npp64s *pSrc1, const Npp64s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 64-bit signed short integer MaximumRelative method. More...
NppStatus | nppsMaximumRelativeError_64sc (const Npp64sc *pSrc1, const Npp64sc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 64-bit unsigned short complex integer MaximumRelative method. More...
NppStatus | nppsMaximumRelativeError_32f (const Npp32f *pSrc1, const Npp32f *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 32-bit floating point MaximumRelative method. More...
NppStatus | nppsMaximumRelativeError_32fc (const Npp32fc *pSrc1, const Npp32fc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 32-bit floating point complex MaximumRelative method. More...
NppStatus | nppsMaximumRelativeError_64f (const Npp64f *pSrc1, const Npp64f *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 64-bit floating point MaximumRelative method. More...
NppStatus | nppsMaximumRelativeError_64fc (const Npp64fc *pSrc1, const Npp64fc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 64-bit floating point complex MaximumRelative method. More...
NppStatus | nppsMaximumRelativeErrorGetBufferSize_8u (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsMaximumRelativeError_8u. More...
NppStatus | nppsMaximumRelativeErrorGetBufferSize_8s (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsMaximumRelativeError_8s. More...
NppStatus | nppsMaximumRelativeErrorGetBufferSize_16u (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsMaximumRelativeError_16u. More...
NppStatus | nppsMaximumRelativeErrorGetBufferSize_16s (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsMaximumRelativeError_16s. More...
NppStatus | nppsMaximumRelativeErrorGetBufferSize_16sc (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsMaximumRelativeError_16sc. More...
NppStatus | nppsMaximumRelativeErrorGetBufferSize_32u (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsMaximumRelativeError_32u. More...
NppStatus | nppsMaximumRelativeErrorGetBufferSize_32s (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsMaximumRelativeError_32s. More...
NppStatus | nppsMaximumRelativeErrorGetBufferSize_32sc (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsMaximumRelativeError_32sc. More...
NppStatus | nppsMaximumRelativeErrorGetBufferSize_64s (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsMaximumRelativeError_64s. More...
NppStatus | nppsMaximumRelativeErrorGetBufferSize_64sc (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsMaximumRelativeError_64sc. More...
NppStatus | nppsMaximumRelativeErrorGetBufferSize_32f (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsMaximumRelativeError_32f. More...
NppStatus | nppsMaximumRelativeErrorGetBufferSize_32fc (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsMaximumRelativeError_32fc. More...
NppStatus | nppsMaximumRelativeErrorGetBufferSize_64f (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsMaximumRelativeError_64f. More...
NppStatus | nppsMaximumRelativeErrorGetBufferSize_64fc (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsMaximumRelativeError_64fc. More...

## Detailed Description

Primitives for computing the MaximumRelative error between two signals.

Given two signals and both with length , the maximum relative error is defined as

If the signal is in complex format, the absolute value of the complex number is used.

## Function Documentation

NppStatus nppsMaximumRelativeError_16s | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

16-bit signed short integer MaximumRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumRelativeErrorGetBufferSize_16s to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumRelativeError_16sc | ( | const Npp16sc * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

16-bit unsigned short complex integer MaximumRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumRelativeErrorGetBufferSize_16sc to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumRelativeError_16u | ( | const Npp16u * | pSrc1,
|  | const Npp16u * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

16-bit unsigned short integer MaximumRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumRelativeErrorGetBufferSize_16u to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumRelativeError_32f | ( | const Npp32f * | pSrc1,
|  | const Npp32f * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

32-bit floating point MaximumRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumRelativeErrorGetBufferSize_32f to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumRelativeError_32fc | ( | const Npp32fc * | pSrc1,
|  | const Npp32fc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

32-bit floating point complex MaximumRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumRelativeErrorGetBufferSize_32fc to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumRelativeError_32s | ( | const Npp32s * | pSrc1,
|  | const Npp32s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

32-bit signed short integer MaximumRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumRelativeErrorGetBufferSize_32s to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumRelativeError_32sc | ( | const Npp32sc * | pSrc1,
|  | const Npp32sc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

32-bit unsigned short complex integer MaximumRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumRelativeErrorGetBufferSize_32sc to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumRelativeError_32u | ( | const Npp32u * | pSrc1,
|  | const Npp32u * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

32-bit unsigned short integer MaximumRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumRelativeErrorGetBufferSize_32u to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumRelativeError_64f | ( | const Npp64f * | pSrc1,
|  | const Npp64f * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

64-bit floating point MaximumRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumRelativeErrorGetBufferSize_64f to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumRelativeError_64fc | ( | const Npp64fc * | pSrc1,
|  | const Npp64fc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

64-bit floating point complex MaximumRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumRelativeErrorGetBufferSize_64fc to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumRelativeError_64s | ( | const Npp64s * | pSrc1,
|  | const Npp64s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

64-bit signed short integer MaximumRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumRelativeErrorGetBufferSize_64s to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumRelativeError_64sc | ( | const Npp64sc * | pSrc1,
|  | const Npp64sc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

64-bit unsigned short complex integer MaximumRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumRelativeErrorGetBufferSize_64sc to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumRelativeError_8s | ( | const Npp8s * | pSrc1,
|  | const Npp8s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

8-bit signed char MaximumRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumRelativeErrorGetBufferSize_8s to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumRelativeError_8u | ( | const Npp8u * | pSrc1,
|  | const Npp8u * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

8-bit unsigned char MaximumRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumRelativeErrorGetBufferSize_8u to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumRelativeErrorGetBufferSize_16s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsMaximumRelativeError_16s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumRelativeErrorGetBufferSize_16sc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsMaximumRelativeError_16sc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumRelativeErrorGetBufferSize_16u | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsMaximumRelativeError_16u.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumRelativeErrorGetBufferSize_32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsMaximumRelativeError_32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumRelativeErrorGetBufferSize_32fc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsMaximumRelativeError_32fc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumRelativeErrorGetBufferSize_32s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsMaximumRelativeError_32s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumRelativeErrorGetBufferSize_32sc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsMaximumRelativeError_32sc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumRelativeErrorGetBufferSize_32u | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsMaximumRelativeError_32u.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumRelativeErrorGetBufferSize_64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsMaximumRelativeError_64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumRelativeErrorGetBufferSize_64fc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsMaximumRelativeError_64fc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumRelativeErrorGetBufferSize_64s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsMaximumRelativeError_64s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumRelativeErrorGetBufferSize_64sc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsMaximumRelativeError_64sc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumRelativeErrorGetBufferSize_8s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsMaximumRelativeError_8s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumRelativeErrorGetBufferSize_8u | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsMaximumRelativeError_8u.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

Copyright © 2009-2017 NVIDIA Corporation